# Abbey

> A/B testing for developers.

A/B testing solutions such as [VWO](https://vwo.com/) and [Optimizely](https://www.optimizely.com/) are made for marketers, not for experienced coders.

Abbey is designed for developers like you. It is super light weight and works with any framework. No more jQuery! (unless that's what you want)


## Setup

    npm install --save abbey


## Getting Started

```js
var abbey = require('abbey');

abbey({
  id: 'test-uuid',
  variations: [
    {
      id: 'variation-uuid',
      rate: 0.8,
      fn: function(recordSuccess, recordFailure) {
        recordSuccess();
      }
    },
    {
      id: 'variation-uuid-2',
      rate: 0.2,
      fn: function(recordSuccess, recordFailure) {
        recordFailure();
      }
    }
  ]
});
```


## Documentation

View [full documentation](https://www.goabbey.top/docs) online.


## License

Copyright (c) 2016 Uplift Agency Ltd. Licensed under the MIT license.
